profile
viewpoint
LongKB longkb OpenStack upstream contributor CNCF upstream contributor

annp1987/kubebuilder-declarative-pattern 0

A toolkit for building declarative operators with kubebuilder

longkb/baremetal-operator 0

Bare metal host provisioning integration for Kubernetes

longkb/cni 0

Container Network Interface - networking for Linux containers

longkb/coredns 0

CoreDNS is a DNS server that chains plugins

pull request commentkubernetes-sigs/kubebuilder-declarative-pattern

kustomize integration by using krusty package

@annp1987 tag me when you're ready for another pass, looking pretty good!

Hi @johnsonj , Because @annp1987 cannot continue his work in this PR, I would like to take and continue his work from this PR.

As he said to me, his PR is ready for review now. Please give us your helpful comments :)

annp1987

comment created time in 4 days

push eventannp1987/kubebuilder-declarative-pattern

Justin SB

commit sha f4869ce939c17494b59ef09abb4f71caa42ae130

Update to controller-runtime 0.4.0

view details

Justin SB

commit sha 0cfaba510b62e72a1bee1f817517140d9de0929b

Replace pkg/errors with go2 errors controller-runtime has made the switch, so we should also stop using legacy libraries.

view details

Kubernetes Prow Robot

commit sha 3e82f5d462e42717b42b20ca0d0d8eccfb381725

Merge pull request #67 from justinsb/update_to_controller_runtime_0_4_0 Update to controller-runtime 0.4.0

view details

Kubernetes Prow Robot

commit sha 293d646bcd26ef1b9d43e16b2980e4119f00ca63

Merge pull request #68 from justinsb/replace_pkg_erros Replace pkg/errors with go2 errors

view details

davis

commit sha fef701d117baa3afca9a45377b052d5645375b52

Change imports in examples directory to use fully qualified path

view details

davis

commit sha 962a2f36c11c7d67373715abddf82bde7902dbdf

Change imports in examples directory to use fully qualified path

view details

davis

commit sha e0e72651fb6b0e81a6357867e39fc18bb94a725a

Merge branch 'change-imports-in-examples-dir-to-use-fully-qualified-path' of github.com:davis-haba/kubebuilder-declarative-pattern into change-imports-in-examples-dir-to-use-fully-qualified-path

view details

davis

commit sha 7289e7d533287001ff16b7347b9a8da37b3e1e41

Update module path in examples/dashboard-operator/go.mod and update associated imports

view details

davis

commit sha 05d1f07310015ef10b440332a3d293e1d72d23f7

Update test.sh to use full module path to run examples tests

view details

Kubernetes Prow Robot

commit sha d91f6348488657f8606a6941f755aa530dd1b656

Merge pull request #69 from davis-haba/change-imports-in-examples-dir-to-use-fully-qualified-path Change imports in examples directory to use fully qualified path

view details

Justin SB

commit sha 4b646fcbb91445a70815cd43b93f3440f3b83d35

Replace yaml.v2 with sigs.k8s.io/yaml We should use the k8s version of the libraries.

view details

Justin SB

commit sha a958832ceab9fa405300b0fb46f92227ceea1700

Support multiple packages in a channel manifest file We now allow a package name to be specified, but manifests with no name are assumed to match all packages. Where there is a tie, we prefer a named package, and then we prefer the newer version.

view details

Justin SB

commit sha 84fe07f12f0cb61b818a727d3a26d13585f0d79d

Initial fetching from an http/https channel Currently channels must be explicitly specified with an http:// or https:// URL, no authentication is supported, etc.

view details

Akihito INOH

commit sha 5e4d89aa8c5425f1410619ce002dc2052120a552

Add field names when create types.NamespacedName This PR add field names to types.NamespacedName instance when initialize.

view details

Kubernetes Prow Robot

commit sha 2159d9d8b0f4aeb9015f82695445796799d51f52

Merge pull request #71 from atoato88/fix-unkeyed-fields Add field names when create types.NamespacedName

view details

Yu Yi

commit sha 3daee0a51283413c5a6ac0cd2e696236babac077

Fix command for generate patch yaml file

view details

Yu Yi

commit sha de7963249dfb7685235b56b0647d0d6c17a36780

fix another `echo`->`cat` and clarify the kustomize version

view details

Yu Yi

commit sha 5134af57753c6d0d8c861c0302b8095d67cf1e02

fix typo `crds` -> `crd`

view details

Kubernetes Prow Robot

commit sha fb6841cce689bb4fc971030f3e0ea55849dbb47c

Merge pull request #60 from justinsb/http_puller Fetch manifests over http/https

view details

Kubernetes Prow Robot

commit sha 9e3399ddab2fe27dca8e57e4393900b59716efb4

Merge pull request #72 from erain/fix/bash-patch-cmd Fix command for generate patch yaml file

view details

push time in 4 days

create barnchlongkb/kubebuilder-declarative-pattern

branch : intergrate_with_krusty

created branch time in 5 days

fork longkb/kubebuilder-declarative-pattern

A toolkit for building declarative operators with kubebuilder

fork in 5 days

Pull request review commentmetal3-io/baremetal-operator

Support RAID configuration for baremetal server

 func (p *ironicProvisioner) PowerOff() (result provisioner.Result, err error) {  	return result, nil }++// Retrieve configuration in form of Ironic's clean steps+func (p *ironicProvisioner) buildCleanSteps(ironicNode *nodes.Node) (cleanSteps []nodes.CleanStep) {+	// Check whether the clean steps for RAID configuration should be executed or not+	if len(ironicNode.RAIDConfig) == 0 && p.host.Spec.RAID != nil {+		raidCleanSteps := p.buildRAIDCleanSteps(ironicNode)+		cleanSteps = append(cleanSteps, raidCleanSteps...)+	}+	return+}++// A private method to build the clean steps for RAID configuration from BaremetalHost spec+func (p *ironicProvisioner) buildRAIDCleanSteps(ironicNode *nodes.Node) (cleanSteps []nodes.CleanStep) {+	// ‘create_configuration’ doesn’t remove existing disks. It is recommended+	// to add ‘delete_configuration’ before ‘create_configuration’ to make sure+	// that only the desired logical disks exist in the system after manual cleaning.+	cleanSteps = []nodes.CleanStep {{Interface: "raid", Step: "delete_configuration"}}++	logialDisks := p.buildTargetRAIDCfg(p.host.Spec.RAID)+	if logialDisks != nil {+		err := nodes.SetRAIDConfig(

Done. I moved this method in to startManualCleaning

longkb

comment created time in 14 days

Pull request review commentmetal3-io/baremetal-operator

Support RAID configuration for baremetal server

 func (p *ironicProvisioner) PowerOff() (result provisioner.Result, err error) {  	return result, nil }++// Retrieve configuration in form of Ironic's clean steps+func (p *ironicProvisioner) buildCleanSteps(ironicNode *nodes.Node) (cleanSteps []nodes.CleanStep) {+	// Check whether the clean steps for RAID configuration should be executed or not+	if len(ironicNode.RAIDConfig) == 0 && p.host.Spec.RAID != nil {

Done. I made the delete step always be performed :)

longkb

comment created time in 14 days

Pull request review commentmetal3-io/baremetal-operator

Support RAID configuration for baremetal server

 func (p *ironicProvisioner) PowerOff() (result provisioner.Result, err error) {  	return result, nil }++// Retrieve configuration in form of Ironic's clean steps+func (p *ironicProvisioner) buildCleanSteps(ironicNode *nodes.Node) (cleanSteps []nodes.CleanStep) {

Thanks. I renamed this one to buildProvisionCleanSteps()

longkb

comment created time in a month

push eventlongkb/baremetal-operator

Zane Bitter

commit sha 8e37ff6b084eee2bc3b5167b2206b187e9a2f4e5

Enumerate error types Define constants for the different types of error we might encounter.

view details

Zane Bitter

commit sha 8c5bd638831bddc136edbd63e404998b1d858bf1

Set PowerManagementError state in state machine The state machine itself should be responsible for all state transitions, not the action methods.

view details

Zane Bitter

commit sha d8cad87fdeb419fd6c580e2f6421fc3d27ff7c75

Set RegistrationError state in state machine The state machine itself should be responsible for all state transitions, not the action methods.

view details

Zane Bitter

commit sha 716aeeb19d98358919020f7c3da99858e58e202a

Add an errorType field to the Host status The type of an error cannot always be inferred from the provisioning state. Add a separate field in the Status block that indicates, when the OperationalStatus is error, what class of error has occurred.

view details

Zane Bitter

commit sha bf6254bd8fcfa52d4eb872306256decef8178d12

Document allowed OperationalStatus values in validation

view details

Zane Bitter

commit sha 421a233e6ac5d4283d010cee2360feb0736b42fe

Check for registration errors before starting provisioning Errors in the Provisioning state are assumed to be provisioning errors, which the controller will deal with by deprovisioning the Host. To reduce the incidence of this misclassification, check for registration errors before allowing the Host to move from the Ready state to Provisioning. This ensures that any errors seen in the Provisioning state occurred during provisioning and don't pre-date entry to that state. However, since typical usage of the API is to set an image to provision and toggle the power state on at the same time, do not manage the host power if the host needs provisioning - we don't wish to power the host on if it was off only to have to start the provisioning process (which also needs to manipulate the host power) immediately.

view details

metal3-io-bot

commit sha 4b91bc93fc0157cb48fea951e3b61f84f583b87d

Merge pull request #369 from zaneb/error-type Expose error types through the CRD Status

view details

Anwar Hassen

commit sha a817b072940839ac02c8af066a29c1d9842601c4

Restrict BMO access to only required RBAC verbs

view details

metal3-io-bot

commit sha dda645a50befe7effc9bc3fff86dd435039df9c7

Merge pull request #376 from Nordix/restrict/bmo_access Restrict BMO access to only required RBAC verbs

view details

Zane Bitter

commit sha 3452e801c9704bfbf07351c36925fb74b1039ea5

Fix crash when cancelling provisioning If the operator has started provisioning a Host, and the user then cancels the provisioning (by removing the Image from the Spec), the Host should transition to the deprovisioning state immediately and not wait for provisioning to complete. This was not occurring, because NeedsDeprovisioning() assumed that the Host had to be fully provisioned before it would need to be deprovisioned, which is not the case. If the Image struct was set to nil (rather than just empty) then this caused a crash because the Ironic provisioner would attempt to access the structure unconditionally inside Provision(). Since the state machine calls NeedsDeprovisioning() only from the Provisioning and Provisioned states, we can now eliminate the problem by always returning true from NeedsDeprovisioning() whenever there is no image to be provisioned. Fixes #377 Fixes #342 Signed-off-by: Zane Bitter <zbitter@redhat.com>

view details

Zane Bitter

commit sha 711d4ecf3e7ea054f6be396da6e3f57151d8a8ee

Don't check ExternallyProvisioned flag The state machine defines that the Host transitions to the ExternallyProvisioned state only from the Ready state; and when leaving the ExternallyProvisioned state always transitions back to the Ready state. However, the user can modify the Spec.ExternallyProvisioned flag at any time. It is unsafe to take this flag into account e.g. in the middle of a provisioning operation, as it can leave the Host in an undefined state that is not recorded in the CR. Signed-off-by: Zane Bitter <zbitter@redhat.com>

view details

maelk

commit sha 40cc19884b1ec65a9d6653f05f638df202e0ea8d

add E2E tests build status in Readme

view details

metal3-io-bot

commit sha 3d7a06eb80b93e0b2df5a4d5aa9cc211eabf61df

Merge pull request #386 from Nordix/fasttrack-mael add E2E tests build status in Readme

view details

kirankt

commit sha 020950135b0a25907e0e9d8676a94ba7ec423ff5

Fix error generating CRDs with operator-sdk v0.12.0 Address #360

view details

metal3-io-bot

commit sha 77ca19fceb81e3d6f1cc2d9e3ff9bc1d92f695f0

Merge pull request #387 from zaneb/cancel-provisioning-crash Fix crash when cancelling provisioning

view details

kirankt

commit sha 83cb8d2f1c24d30c8bdd3ea29fe497a4121511ab

Merge remote-tracking branch 'upstream/master' into v0.12.0-crd-validation-fix

view details

kirankt

commit sha 9936041b39bda1ccf0f743732e93e7e88cd89601

Add empty string in CRD

view details

metal3-io-bot

commit sha 7c1f34c204e2d00cc6979208465c21a773375310

Merge pull request #395 from kirankt/v0.12.0-crd-validation-fix Fix error generating CRDs with operator-sdk v0.12.0

view details

maelk

commit sha a841f62a6bf19c620f7f114ff08f453572e6427f

Enable fasttrack for ironic the fix was merged upstream and is in the tripleO package: https://opendev.org/openstack/ironic/commit/7f1f79ac25e270c3585dd23c042a037431b97718

view details

metal3-io-bot

commit sha 6ae8d7eb8c0ef6f940f410b9338a3ce465937473

Merge pull request #394 from Nordix/fasttrack-mael Enable fasttrack for ironic

view details

push time in 14 days

PR opened vitessio/vitess

Reviewers
Fix some typos in comments

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

+4 -4

0 comment

3 changed files

pr created time in 18 days

create barnchlongkb/vitess

branch : fix_some_typos_in_comments

created branch time in 18 days

PR opened prometheus/prometheus

Fix some typo in comments

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

<!-- Don't forget!

- If the PR adds or changes a behaviour or fixes a bug of an exported API it would need a unit/e2e test.

- Where possible use only exported APIs for tests to simplify the review and make it as close as possible to an actual library usage.

- No tests are needed for internal implementation changes.

- Performance improvements would need a benchmark test to prove it.

- All exposed objects should have a comment.

- All comments should start with a capital letter and end with a full stop.

-->

+2 -2

0 comment

2 changed files

pr created time in 18 days

create barnchlongkb/prometheus

branch : fix_some_typo_in_comments

created branch time in 18 days

PR opened kubernetes/minikube

Remove some redundance words

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

<!-- 🎉 Thank you for contributing to minikube! 🎉 Here are some hints to get your PR merged faster:

  1. Your PR title will be included in the release notes, choose it carefully
  2. If the PR fixes an issue, add "fixes #<issue number>" to the description.
  3. If the PR is a user interface change, please include a "before" and "after" example.
  4. If the PR is a large design change, please include an enhancement proposal: https://github.com/kubernetes/minikube/tree/master/enhancements -->
+2 -2

0 comment

2 changed files

pr created time in 18 days

create barnchlongkb/minikube

branch : remove_redundance_words

created branch time in 18 days

PR opened kubernetes/kubeadm

Fix some typos in comments

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

+2 -2

0 comment

2 changed files

pr created time in 18 days

create barnchlongkb/kubeadm

branch : fix_some_typos_in_comment

created branch time in 18 days

Pull request review commentkubernetes/kops

Fix typo in comment

 fi # common arguments we'll pass to shellcheck SHELLCHECK_OPTIONS=(   # allow following sourced files that are not specified in the command,-  # we need this because we specify one file at at time in order to trivially+  # we need this because we specify one file at time in order to trivially

Done :)

longkb

comment created time in 18 days

push eventlongkb/kops

Kim Bao Long

commit sha 3c094cb4716b58047d2d2a5a1102c215c75c59a0

Fix typo in comment Signed-off-by: Kim Bao Long <longkb@vn.fujitsu.com>

view details

push time in 18 days

PR opened kubernetes/kops

Fix typo in comment

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

+1 -1

0 comment

1 changed file

pr created time in 18 days

create barnchlongkb/kops

branch : fix_typo_in_comment

created branch time in 18 days

PR opened kubernetes-sigs/kind

Fix type in `md` file

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

+1 -1

0 comment

1 changed file

pr created time in 18 days

create barnchlongkb/kind

branch : fix_typo_in_doc

created branch time in 18 days

PR opened jaegertracing/jaeger

Fix some typo in comment

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

<!-- We appreciate your contribution to the Jaeger project! 👋🎉

Before creating a pull request, please make sure:

  • Your PR is solving one problem
  • You have read the guide for contributing
    • See https://github.com/jaegertracing/jaeger/blob/master/CONTRIBUTING.md
  • You signed all your commits (otherwise we won't be able to merge the PR)
    • See https://github.com/jaegertracing/jaeger/blob/master/CONTRIBUTING_GUIDELINES.md#certificate-of-origin---sign-your-work
  • You added unit tests for the new functionality
  • You mention in the PR description which issue it is addressing, e.g. "Resolves #123" -->

Which problem is this PR solving?

Short description of the changes

+1 -1

0 comment

1 changed file

pr created time in 18 days

create barnchlongkb/jaeger

branch : fix_some_typo_in_comment

created branch time in 18 days

PR opened helm/helm

Fix some spelling errors in comment

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

+2 -2

0 comment

2 changed files

pr created time in 18 days

create barnchlongkb/helm

branch : fix_some_typos_in_comments

created branch time in 18 days

PR opened grpc/grpc

Fix some spelling errors in comment

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

<!--

Your pull request will be routed to the following person by default for triaging. If you know who should review your pull request, please remove the mentioning below.

-->

@karthikravis

+3 -3

0 comment

3 changed files

pr created time in 18 days

create barnchlongkb/grpc

branch : remove_redundance_words

created branch time in 18 days

PR closed metal3-io/baremetal-operator

Adding code-generator for Kubernetes-style API approved ok-to-test size/XXL

This PR aims to add code-generator again in order to run make generate as reported in #360

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

+2921941 -34

8 comments

11157 changed files

longkb

pr closed time in 19 days

pull request commentmetal3-io/baremetal-operator

Adding code-generator for Kubernetes-style API

Hi @longkb. What is the status with this PR ? Should it be closed or should it make its way to master ?

Hi @maelk , We just have a long holiday :). I will close this PR now

longkb

comment created time in 19 days

push eventlongkb/baremetal-operator

Kim Bao Long

commit sha 49029768652c6b1963d29f38b95f0579d3e9a3da

Support RAID configuration for baremetal server Currently, Metal3 does not support deploy baremetal server with RAID configuration. This commit aims to extend Ironic Provisioner to support RAID configuration with the bellows: - Generate Ironic's cleansteps from `raid` property in host's spec. - Trigger `manual cleaning` to config `raid` in `provisioning` phase. Co-Authored-By: Dao Cong Tien <tiendc@vn.fujitsu.com> Co-Authored-By: Nguyen Phuong An <annp@vn.fujitsu.com> Signed-off-by: Kim Bao Long <longkb@vn.fujitsu.com>

view details

push time in a month

push eventlongkb/baremetal-operator

Artyom Lukianov

commit sha 021f5e2cb9b791b32e2db609de01016a935b1ce7

Use leader election mechanis from controller-runtime library controller-runtime library provides more correct way to set leader among pods, it is done via config map annotation, that includes leader lease. In case when the pod fails to update the lease under the config map, the other pod will aquire the leader. Otherwise the operator-sdk do not provide the lease feature and just creates the config map, so until the config map exists, other pod can not aquire the leader, but the config map will be exist as long as pod exists(also in terminating state), so it will prevent HA in cases when node not responsive from some reason(network, kernel panic, ...). Fixes #295

view details

Zane Bitter

commit sha b26ca3a1e673a53f7186872a8e932a113c16b816

Document MatchProfile state

view details

Zane Bitter

commit sha 706c29d5120dfe11b411292cb101c1f53c32787c

Get rid of ValidationError state This state was not used anywhere since the separate validation phase of provisioning was removed.

view details

Zane Bitter

commit sha 8688ca2f25d926a7cf2fe49647de842f14ab84cc

Remove unused reconcilePhase type

view details

Zane Bitter

commit sha b6e9186d240cd3b83b9b44fa6c5b76ab3953250b

Add a new Deleting state When a Host is in the process of being deleted, put it in a 'Deleting' state. This state was documented in the state machine design (as 'Deleted'), but not implemented.

view details

Zane Bitter

commit sha e82f261b09c457ead5843601cdfb8566dd69b66d

Define an actionResult interface This interface and the types that implement it will allow us to abstract away the details of how the controller responds to the request, in favour of more a semantically meaningful representation of the action result's effect on the state machine.

view details

Zane Bitter

commit sha d4c85292b855b2b811b9269379ae93c36f45163c

Add a finite state machine implementation for BareMetalHost This is currently unused. Once we switch over to this implementation, the next action of the Host will depend not only on the difference between the spec and the status, but also on the current state. This means that e.g. a deprovisioning operation will run to completion even if the user restores the image details to the spec. Currently the operation will complete in Ironic but the Host would return to the Provisioned state. The allowable state transitions are based on those in the state diagram design doc, with some modifications to prevent substantive changes from existing behaviour. (For example, the Host can transition to the Registering state from any other state, and then transition back again once registration is complete.)

view details

Zane Bitter

commit sha 046ffd187a4d9f1b237cc93ae0ed9398db0d0432

Switch Registering to actionResult

view details

Zane Bitter

commit sha 23d69487e5ec5ff525d4c10740758c56b1c46d05

Factor out a credentialsErrorResult() method The code to handle an error in the credentials is quite long and interrupts the reading flow of the Reconcile() method. Refactor it out into a separate method.

view details

Zane Bitter

commit sha aceb9110dd89e3f343828cf37e28d4986f48bf24

Switch Inspecting to actionResult

view details

Zane Bitter

commit sha 468a0717a224f717632e5fa7cfe3698e1ce58653

Use the state machine implementation for state management

view details

Zane Bitter

commit sha 840a5c2cc11f57bf73dff88d3354cb71e513f0af

Switch MatchProfile to actionResult actionMatchProfile is only called when the profile is empty, and it always sets the profile to something, so there's no need to handle the case where SetHardwareProfile returns false. Just in case though, clear any errors and return complete if the profile doesn't change, but don't publish another event.

view details

Zane Bitter

commit sha c625c521648fba50577096ba58f86fbd19a48901

Use the same credentials validation process for deletion Instead of duplicating the code for getting credentials and creating a provisioner to handle the Deleting action, just use the regular code path with a special case only to avoid returning due to invalid credentials.

view details

Zane Bitter

commit sha e56f77dc6c9cbcb3fbc20c6eab4cd6324b93783b

Switch Provisioning to actionResult

view details

Zane Bitter

commit sha 4ef546c86675aa6e7fd235e564e22c19f7488b9b

Use info structure directly in actionDeleting() Refactor actionDeleting() to remove the vestiges of the old deleteHost() method.

view details

Zane Bitter

commit sha c2377ca4f8feff8df812bc1408d5ee3aeafa25a8

Switch Deprovisioning to actionResult

view details

Zane Bitter

commit sha ab5ad05463169f0e34fc9d3415e044494c0fa223

Set ProvisioningError state in state machine The state machine itself should be responsible for all state transitions, not the action methods.

view details

Zane Bitter

commit sha d128b5df4849d30b0c4031f14b739155a3ee9bc1

Convert manageHostPower() to actionResult

view details

Zane Bitter

commit sha e3a5a0f26ca4799777bcad7eb59efdd7476c41b9

Transition to Deprovisioning state when deleting If a Provisioned or Provisioning host was deleted, we used to commence a delete and handle deprovisioning in the course of that. Instead, transition to the Deprovisioning state for deprovisioning before proceeding to deletion. This ensures that deprovisioning has only one implementation in the controller. Since deprovisioning may (in theory) fail and we (presumably) don't want to make the Host undeletable, we continue to skip straight to deleting if we get a failure in the deprovisioning state. However, note that in practice the provisioner never returns an ErrorMessage from Deprovision() (i.e. it never gives up trying to deprovision).

view details

Zane Bitter

commit sha 33fa0db8acd5114b815b53615d815aa23dfb5314

Convert SteadyState to actionResult

view details

push time in a month

pull request commentmetal3-io/baremetal-operator

Handle `DeployFail` and `CleanFail` state in deprovisioning

@longkb What's the status of this PR? Thanks

This PR still waiting for review now :) I just would like to rebase this commit base on the master branch :)

longkb

comment created time in a month

push eventlongkb/baremetal-operator

Zane Bitter

commit sha cbe1e7b19013af78fb017955296957fb7709ddc2

Make optional date-time fields nullable Fixes #382

view details

metal3-io-bot

commit sha 57a7d25025273459acc2101e83aeb20bd62dd41b

Merge pull request #383 from zaneb/metrics-crd-fix Make optional date-time fields nullable

view details

maelk

commit sha 283109437d27e7719aed0e90a294888da213a68d

Disable fast track temporarily Until the ironic bug is fixed upstream, we need to disable fasttrack for the provisioning to work properly

view details

metal3-io-bot

commit sha 12fb6adb52009deb37aff2a3d4aac37306362152

Merge pull request #385 from Nordix/fasttrack-mael Disable fast track temporarily

view details

Kim Bao Long

commit sha b266275e78cb764dd458367b46c784882c285377

Extend BaremetalHost CRD to support RAID configuration This commit aims to add **RAIDConfig** as new property into **BareMetalHostSpec**. The BaremetalHost CRD is also extend with **raid** field. These options allow Metal3 user to configure RAID via **raid** field in YAML file. Co-Authored-By: Dao Cong Tien <tiendc@vn.fujitsu.com> Co-Authored-By: Nguyen Phuong An <annp@vn.fujitsu.com> Signed-off-by: Kim Bao Long <longkb@vn.fujitsu.com>

view details

Kim Bao Long

commit sha 8018ba51f6e019a6f7eb561024be766c3abc9c4d

Support RAID configuration for baremetal server Currently, Metal3 does not support deploy baremetal server with RAID configuration. This commit aims to extend Ironic Provisioner to support RAID configuration with the bellows: - Generate Ironic's cleansteps from `raid` property in host's spec. - Trigger `manual cleaning` to config `raid` in `provisioning` phase. Co-Authored-By: Dao Cong Tien <tiendc@vn.fujitsu.com> Co-Authored-By: Nguyen Phuong An <annp@vn.fujitsu.com> Signed-off-by: Kim Bao Long <longkb@vn.fujitsu.com>

view details

push time in a month

push eventlongkb/baremetal-operator

Artyom Lukianov

commit sha 021f5e2cb9b791b32e2db609de01016a935b1ce7

Use leader election mechanis from controller-runtime library controller-runtime library provides more correct way to set leader among pods, it is done via config map annotation, that includes leader lease. In case when the pod fails to update the lease under the config map, the other pod will aquire the leader. Otherwise the operator-sdk do not provide the lease feature and just creates the config map, so until the config map exists, other pod can not aquire the leader, but the config map will be exist as long as pod exists(also in terminating state), so it will prevent HA in cases when node not responsive from some reason(network, kernel panic, ...). Fixes #295

view details

Zane Bitter

commit sha cbde4a5c8fafea5a0ababedad5ca685b7bdf902d

Set error message on inspection error When an error occurred during inspection, we weren't setting the Requeue flag, which is required for the CR to be updated (although it doesn't actually cause the reconcile to be requeued, because of the error). This also meant that an error event would be published each time the CR was reconciled, even if the error had not changed. The error event also wrongly stated that it was a registration error. Finally, we weren't actually changing the Host's ProvisionState to RegistrationError (since changes weren't written), so don't start now.

view details

Stephen Benjamin

commit sha aff4716510328d627f578b2a2c4a6e847054105d

Update ironic deployment to latest requirements This creates a mariadb scret, deploys the bmo configmap, and creates the IPA downloader as an init container. It also updates the environment variables to use the correct ones.

view details

Zane Bitter

commit sha a2d4ce39338d1aae6d007c9852a8de4c300a391a

Merge pull request #307 from zaneb/inspection-error-event Set error message on inspection error

view details

Zane Bitter

commit sha f2813fd4d4c6b66c5ef03380886ec7c3ee51a791

Check namespace when matching Secret references Previously when checking if a Secret has changed we could have confused two Secrets with the same name in different namespaces.

view details

Zane Bitter

commit sha 41cefe203ad5edafae52eb4f76005c77b7bef265

Don't publish multiple events on missing Secret If the Secret referenced in the Host does not exist yet, we need to periodically poll to see if it has been created as we cannot set a watch on a Secret that does not exist. We should not publish a new event each time this occurs.

view details

Russell Bryant

commit sha 211da00087145409ba60250b97ace121026de76a

Add OWNERS file.

view details

Russell Bryant

commit sha 3093f24b5b9eac5588eea1580d985bcfb73796b1

Merge pull request #314 from russellb/OWNERS Add OWNERS file.

view details

metal3-io-bot

commit sha d2ed2141260d3fbb6f82622cde608b939b089ee4

Merge pull request #312 from zaneb/secret-namespace Check namespace when matching Secret references

view details

Russell Bryant

commit sha f048f3bc5f05e416973356255113ea5b49828741

Merge pull request #309 from stbenjam/ironic-deployment Update ironic deployment to latest requirements

view details

Sergi Jimenez

commit sha a6553c0cf4ac68789beaebc6236a4a6cf892da0e

doc: add more literature to api doc * Add more details * Add missing or erroneous fields * Add a complete example of the BareMetalHost resource

view details

metal3-io-bot

commit sha 7cac41122c4868a54a89856ca5fbe7026d51b602

Merge pull request #313 from zaneb/missing-secret-events Don't publish multiple events on missing Secret

view details

metal3-io-bot

commit sha 4edb57145306d7e82bb91b9452fb27bca15eb56e

Merge pull request #308 from tripledes/baremetalhost_objects_doc doc: add more literature to api doc

view details

Zane Bitter

commit sha b26ca3a1e673a53f7186872a8e932a113c16b816

Document MatchProfile state

view details

Zane Bitter

commit sha 706c29d5120dfe11b411292cb101c1f53c32787c

Get rid of ValidationError state This state was not used anywhere since the separate validation phase of provisioning was removed.

view details

Zane Bitter

commit sha 8688ca2f25d926a7cf2fe49647de842f14ab84cc

Remove unused reconcilePhase type

view details

Zane Bitter

commit sha b6e9186d240cd3b83b9b44fa6c5b76ab3953250b

Add a new Deleting state When a Host is in the process of being deleted, put it in a 'Deleting' state. This state was documented in the state machine design (as 'Deleted'), but not implemented.

view details

Zane Bitter

commit sha e82f261b09c457ead5843601cdfb8566dd69b66d

Define an actionResult interface This interface and the types that implement it will allow us to abstract away the details of how the controller responds to the request, in favour of more a semantically meaningful representation of the action result's effect on the state machine.

view details

Zane Bitter

commit sha d4c85292b855b2b811b9269379ae93c36f45163c

Add a finite state machine implementation for BareMetalHost This is currently unused. Once we switch over to this implementation, the next action of the Host will depend not only on the difference between the spec and the status, but also on the current state. This means that e.g. a deprovisioning operation will run to completion even if the user restores the image details to the spec. Currently the operation will complete in Ironic but the Host would return to the Provisioned state. The allowable state transitions are based on those in the state diagram design doc, with some modifications to prevent substantive changes from existing behaviour. (For example, the Host can transition to the Registering state from any other state, and then transition back again once registration is complete.)

view details

Zane Bitter

commit sha 046ffd187a4d9f1b237cc93ae0ed9398db0d0432

Switch Registering to actionResult

view details

push time in a month

Pull request review commentmetal3-io/baremetal-operator

Support RAID configuration for baremetal server

 type BMCDetails struct { 	CredentialsName string `json:"credentialsName"` } +// DiskType is used to specify the disk type for a logical disk, e.g. hdd or ssd.+type DiskType string++// Valid disk types for RAID configuration+const (+	HDD DiskType = "hdd"+	SSD DiskType = "ssd"+)++// ValidDiskType check whether given disk type is supported or not+func (d DiskType) ValidDiskType () bool {+	switch d {+	case SSD, HDD:+		return true+	default:+		return false+	}+}++// InterfaceType is used to specify the interface for a logical disk.+type InterfaceType string++// Valid interface types for RAID configuration+const (+	SATA InterfaceType = "sata"+	SCSI InterfaceType = "scsi"+	SAS  InterfaceType = "sas"+)++// ValidInterfaceType check whether given interface type is supported or not+func (i InterfaceType) ValidInterfaceType () bool {+	switch i {+	case SATA, SCSI, SAS:+		return true+	default:+		return false+	}+}++// RAIDLevel type is used to specify the RAID level for a logical disk.+type RAIDLevel string++// Valid RAID levels+const (+	RAID0  RAIDLevel = "0"+	RAID1  RAIDLevel = "1"+	RAID2  RAIDLevel = "2"+	RAID5  RAIDLevel = "5"+	RAID6  RAIDLevel = "6"+	RAID10 RAIDLevel = "1+0"+	RAID50 RAIDLevel = "5+0"+	RAID60 RAIDLevel = "6+0"+)++// ValidRAIDLevel check whether given RAID level is supported or not+func (l RAIDLevel) ValidRAIDLevel () bool {+	switch l {+	case RAID0, RAID1, RAID2, RAID5, RAID6, RAID10, RAID50, RAID60:+		return true+	default:+		return false+	}+}++// RAIDVolume defines the desired configuration of volume in RAID+type RAIDVolume struct {+	// Size (Integer) of the logical disk to be created in GiB.  If unspecified, "MAX" will be used.+	SizeGb *int `json:"sizeGb,omitempty"`++	// RAID level for the logical disk. The following RAID levels are supported: 0, 1, 2, 5, 6, 1+0, 5+0, 6+0.+	RAIDLevel RAIDLevel `json:"raidLevel" required:"true"`++	// Name of the volume. Should be unique within the Node. If not specified, volume name will be auto-generated.+	VolumeName string `json:"name,omitempty"`++	// Set to true if this logical disk can share physical disks with other logical disks.+	SharePhysicalDisks *bool `json:"sharePhysicalDisks,omitempty"`++	// The valid values must be "hdd" or "ssd". If this is not specified, disk type will not be a criterion to find backing physical disks+	DiskType DiskType `json:"diskType,omitempty"`++	// The valid values are "sata" or "scsi" or "sas". If this is not specified, interface type will not be a criterion to find backing physical disks.+	InterfaceType InterfaceType `json:"interfaceType,omitempty"`++	// Integer, number of disks to use for the logical disk. Defaults to minimum number of disks required+	// for the particular RAID level.+	NumberOfPhysicalDisks int `json:"numberOfPhysicalDisks,omitempty"`

Opps, I missed that point. In the case of user didn't specify a value, we will pass the validation of kubebuilder and got 0. And if they specify a value, it will be validate by kubebuilder in line 129 // +kubebuilder:validation:Minimum=1 So I think pointer would be suitable in the case of missing this field Thanks

longkb

comment created time in a month

Pull request review commentmetal3-io/baremetal-operator

Support RAID configuration for baremetal server

 type BMCDetails struct { 	CredentialsName string `json:"credentialsName"` } +// RAIDVolume defines the desired configuration of volume in RAID+type RAIDVolume struct {+	// Size (Integer) of the logical disk to be created in GiB.+	// If unspecified or set be 0, the maximum capacity of disk will be used for logical disk.+	SizeGb int `json:"sizeGb,omitempty"`++	// RAID level for the logical disk. The following levels are supported: 0, 1, 1+0.+	// +kubebuilder:validation:Enum=0,1,1+0+	Level nodes.RAIDLevel `json:"level" required:"true"`++	// Name of the volume. Should be unique within the Node. If not specified, volume name will be auto-generated.+	Name string `json:"name,omitempty"`++	// The valid values must be "hdd" or "ssd". If this is not specified, disk type will not be a criterion to find backing physical disks+	// +kubebuilder:validation:Enum=hdd,ssd+	DiskType nodes.DiskType `json:"diskType,omitempty"`

Although Ironic will handle the zero value for DiskType, but I think it would be better if we make it to be a pointer Thanks

longkb

comment created time in a month

push eventlongkb/baremetal-operator

Kim Bao Long

commit sha 61c5440f61934cda2addfbdc4881438815e1ddf2

Extend BaremetalHost CRD to support RAID configuration This commit aims to add **RAIDConfig** as new property into **BareMetalHostSpec**. The BaremetalHost CRD is also extend with **raid** field. These options allow Metal3 user to configure RAID via **raid** field in YAML file. Co-Authored-By: Dao Cong Tien <tiendc@vn.fujitsu.com> Co-Authored-By: Nguyen Phuong An <annp@vn.fujitsu.com> Signed-off-by: Kim Bao Long <longkb@vn.fujitsu.com>

view details

Kim Bao Long

commit sha bd4338231fb683de21f36c9955122a29b05c1b68

Support RAID configuration for baremetal server Currently, Metal3 does not support deploy baremetal server with RAID configuration. This commit aims to extend Ironic Provisioner to support RAID configuration with the bellows: - Generate Ironic's cleansteps from `raid` property in host's spec. - Trigger `manual cleaning` to config `raid` in `provisioning` phase. Co-Authored-By: Dao Cong Tien <tiendc@vn.fujitsu.com> Co-Authored-By: Nguyen Phuong An <annp@vn.fujitsu.com> Signed-off-by: Kim Bao Long <longkb@vn.fujitsu.com>

view details

push time in a month

Pull request review commentmetal3-io/baremetal-operator

Support RAID configuration for baremetal server

 package v1alpha1  import (+<<<<<<< 5b2aae465e512f24e1af34fc85b50d55b8d4abda 	"time" +=======+	"github.com/gophercloud/gophercloud/openstack/baremetal/v1/nodes"+>>>>>>> Extend BaremetalHost CRD to support RAID configuration

Thanks @zaneb. I have resolved the conflicts :)

longkb

comment created time in a month

push eventlongkb/baremetal-operator

maelk

commit sha e1b0e402ac221f692819907e80dbb7fa745b6a5e

Fix missing environment variables in CI when running ironic containers locally, the environment variables were missing

view details

metal3-io-bot

commit sha db39ab6dc0dff0c3a9522979dbb921115cfce482

Merge pull request #381 from Nordix/dnsmasq-fix-mael Fix missing environment variables in CI

view details

Kim Bao Long

commit sha a03ada2eaaa63625671b03d4c97cab908826d79f

Extend BaremetalHost CRD to support RAID configuration This commit aims to add **RAIDConfig** as new property into **BareMetalHostSpec**. The BaremetalHost CRD is also extend with **raid** field. These options allow Metal3 user to configure RAID via **raid** field in YAML file. Co-Authored-By: Dao Cong Tien <tiendc@vn.fujitsu.com> Co-Authored-By: Nguyen Phuong An <annp@vn.fujitsu.com> Signed-off-by: Kim Bao Long <longkb@vn.fujitsu.com>

view details

Kim Bao Long

commit sha d592398e6c1123020831b6580f2589e7767aad10

Support RAID configuration for baremetal server Currently, Metal3 does not support deploy baremetal server with RAID configuration. This commit aims to extend Ironic Provisioner to support RAID configuration with the bellows: - Generate Ironic's cleansteps from `raid` property in host's spec. - Trigger `manual cleaning` to config `raid` in `provisioning` phase. Co-Authored-By: Dao Cong Tien <tiendc@vn.fujitsu.com> Co-Authored-By: Nguyen Phuong An <annp@vn.fujitsu.com> Signed-off-by: Kim Bao Long <longkb@vn.fujitsu.com>

view details

push time in a month

push eventlongkb/baremetal-operator

Doug Hellmann

commit sha 659afe46e1c3f2cc8df13dc170362058e027f67b

log the metrics endpoint

view details

Doug Hellmann

commit sha 615e5930aee545e15ebfd37ed0833346201465af

count reconcile occurrences per host

view details

Doug Hellmann

commit sha 1ce13f99b04e13956608c63df14e61487de6c3bf

update host status to track operation times In order to gather metrics like how long it takes to perform a given operation we have to track the start times. We might as well track the end time as well as a way for the user to review the history of the host (which is admittedly more interesting for provisioning and deprovisioning operations than for others but it's nice to have the data structure consistent). This change adds fields to the structure to hold times we are interested in.

view details

Zane Bitter

commit sha 8d7dd5b9ecfe7edd3bb54ddb63674ca8652b5459

Add a function to return an OperationMetric Get the OperationMetric for a given ProvisioningState.

view details

Zane Bitter

commit sha dba1172bd8e25c704769832b87f1a02f6e824865

Track metrics at state transitions

view details

Zane Bitter

commit sha b193645af96e0a0191f7f185116eb0cf4f1e6deb

Pass reconcileInfo to updateHostStateFrom()

view details

Zane Bitter

commit sha c84182cf379cb42cbe1e0b6fdcc79056394a9a92

Delay computing stats until the op is recorded If there is a conflict and we fail to publish the status update to the host CR then we will count the operational metrics multiple times. This change uses a callback list to update the counters only after saving the host, at which point we know that the operation is successful.

view details

Doug Hellmann

commit sha 09f15cd750b04c51432b08796bd6ebae66803dcc

track the number of times we power each host on or off It doesn't seem useful to track the amount of time it takes to power on or off a host, but it would be useful to know how often we do it. Signed-off-by: Doug Hellmann <dhellmann@redhat.com>

view details

Zane Bitter

commit sha f3ab6ff3aeae97e62a3bfa68f658bd6d478430e6

Count reconciliation errors

view details

Zane Bitter

commit sha b5095d18be1835b0cd495fa148ba86533435a12b

Include namespace label in Prometheus metrics Avoid aliasing between namespaces and allow reporting on metrics for individual namespaces by including the namespace as a label.

view details

Zane Bitter

commit sha a71f600bc7fbcb680387299a7d2a5d11ee49f167

Move controller metrics boilerplate to a separate file

view details

Zane Bitter

commit sha ffcab9cc5c2f45c28bcc31d16760bade3be12875

Count state changes

view details

Zane Bitter

commit sha 21f93c361f46e6d6233e2e9216e37d11859fbb39

Record metrics for registration This seems like one of the most likely candidates for alerting.

view details

Zane Bitter

commit sha 076def2d6b31681dae6a5b2389b87c6d89b45b2f

Record Host deletion without deprovisioning This shouldn't happen in practice, so it is something we might want to monitor and alert on.

view details

Zane Bitter

commit sha fcda84afc8ada875f8a6bbf0a1316555a25023e3

Count unretriable failures Increment a Prometheus metric whenever we create an event due to an action failing in a way that cannot usefully be retried.

view details

kirankt

commit sha a66587394c18a39dd6f64192393f000740f2ec51

Change CRD apiversion to apiextensions.k8s.io/v1 Address #327

view details

Zane Bitter

commit sha ab9d12addcd98861d5713158f7a2aa379a1772b9

Merge pull request #371 from kirankt/update-crd-apiversion Change CRD apiversion to apiextensions.k8s.io/v1

view details

Maël Kimmerlin

commit sha b37cbedac5f76055429d5751cde95a10db0beda0

Revert "Change CRD apiversion to apiextensions.k8s.io/v1"

view details

Steven Hardy

commit sha 3d9165f0b788ccc970b53ec9695e76c5814786d5

Merge pull request #373 from Nordix/revert-371-update-crd-apiversion Revert "Change CRD apiversion to apiextensions.k8s.io/v1"

view details

metal3-io-bot

commit sha 5b2aae465e512f24e1af34fc85b50d55b8d4abda

Merge pull request #276 from dhellmann/operator-metrics report metrics for long running operations

view details

push time in a month

pull request commentprometheus/prometheus

Remove duplicated words

looks like a duplicate of #6570 which has an additional duplicate removal, I assume you were looking at the code together @truongnh1992 @longkb

Opps, sorry. I did not check the PRs yet. I have closed my PR :) I sorry about that :)

truongnh1992

comment created time in a month

PR closed prometheus/prometheus

Remove the duplicated words

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

<!-- Don't forget!

- If the PR adds or changes a behaviour or fixes a bug of an exported API it would need a unit/e2e test.

- Where possible use only exported APIs for tests to simplify the review and make it as close as possible to an actual library usage.

- No tests are needed for internal implementation changes.

- Performance improvements would need a benchmark test to prove it.

- All exposed objects should have a comment.

- All comments should start with a capital letter and end with a full stop.

-->

+3 -3

0 comment

1 changed file

longkb

pr closed time in a month

PR opened vitessio/vitess

Reviewers
Remove duplicated words

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

+2 -2

0 comment

2 changed files

pr created time in a month

create barnchlongkb/vitess

branch : remove_duplciated_words

created branch time in a month

PR opened rkt/rkt

Remove duplicated words

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

+3 -3

0 comment

3 changed files

pr created time in a month

push eventlongkb/rkt

David Michael

commit sha 6654699f5e884f74e767b024ee4777b98509204c

stage1/usr_from_coreos: add new image signing subkey 67B3CA0E

view details

Nguyen Hai Truong

commit sha d82fe7c6b5de2401d68ab96c57aefbbc9957086f

Update deprecated link Correct hyperlink in documentation in order to visit link properly. Signed-off-by: Nguyen Hai Truong <truongnh@vn.fujitsu.com>

view details

Nguyen Hai Truong

commit sha ba739190f16a2a4a7d60e02f53870f0654a90a8f

Trivial fix typo Although it is spelling mistakes, it might make an affects while reading. Signed-off-by: Nguyen Hai Truong <truongnh@vn.fujitsu.com>

view details

Tuan Do Anh

commit sha a40beaec7e4457c2b03c0379c4283b048a963658

Remove unused functions Remove usused functions in rkt_test.go

view details

zhoulin xie

commit sha a5260711ff4d271aa53c128b1dab61d5b087f1e8

Fix typo in CONTRIBUTING.md Signed-off-by: zhoulin xie <zhoulin.xie@daocloud.io>

view details

Vu Cong Tuan

commit sha 222d02a82634ed22f0a26bd0c6707caecd256298

Fixing some typos in Documentation Signed-off-by: Vu Cong Tuan <tuanvc@vn.fujitsu.com>

view details

Vu Cong Tuan

commit sha 31b2340b1bbe8f97a8566d5f82e453c1e6327d4a

Fix many typos in "rkt" and "tests" Signed-off-by: Vu Cong Tuan <tuanvc@vn.fujitsu.com>

view details

Vu Cong Tuan

commit sha 6c6d0e56cc8dd8f8917fc7908b783def0161c7c1

Update deprecated links in Documentation Signed-off-by: Vu Cong Tuan <tuanvc@vn.fujitsu.com>

view details

Luca Bruno

commit sha 162450f29427dd618601dc84914a0597f873d9b9

Merge pull request #3989 from tuanvcw/update_deprecated_links docs: update deprecated links

view details

Luca Bruno

commit sha 100077382f3fbc20cea4ed4442f646cfe29cb58e

Merge pull request #3987 from tuanvcw/fixing_typos docs: fix some typos

view details

Luca Bruno

commit sha 0c8765619cae3391a9ffa12c8dbd12ba7a475eb8

Merge pull request #3984 from JoeWrightss/patch-1 docs: fix typo in CONTRIBUTING.md

view details

zhoulin xie

commit sha ce3f6ea55146c05b6de2787823293ee67c61534f

Fix some misspells in inspect.go Signed-off-by: zhoulin xie <zhoulin.xie@daocloud.io>

view details

QiuDog

commit sha ed19705a02a0c5ee9f949b9fda355c1f85ced788

typo fix

view details

Iago López Galeiras

commit sha 8ba95dfb498ae15c2f33e1891d43c6ff41af2e23

Merge pull request #3997 from ruijzhan/master typo fix

view details

Iago López Galeiras

commit sha c4b6854b405b3c93f21ef36636ae01234c38a327

Merge pull request #3994 from JoeWrightss/patch-2 Fix some misspells in inspect.go

view details

Iago López Galeiras

commit sha 8e9fa7aacbcb343d07b9048fb39082e4615b33de

Merge pull request #3988 from tuanvcw/fixing_typos_1 Fix many typos in "rkt" and "tests"

view details

Iago López Galeiras

commit sha cdf88aaa216a711ac2afb63ecf01d21b8ae14418

Merge pull request #3983 from datuanmac/fix-remove_unused_functions Remove unused functions

view details

Iago López Galeiras

commit sha be85bfec342d80d4bd51142b46c6ca4e642edcdf

Merge pull request #3982 from longkb/remove_duplicated_words Remove the duplicated words in code comments

view details

Iago López Galeiras

commit sha ce5dcb0374b3e2c3881d5ddf841399b6ef8bde37

Merge pull request #3980 from truongnh1992/trivial-fix Trivial fix typo

view details

Iago López Galeiras

commit sha c198f7ed29d2435fe0858c615dfce51ad0cf2b63

Merge pull request #3974 from dm0-/subkey stage1/usr_from_coreos: add new image signing subkey 67B3CA0E

view details

push time in a month

PR opened prometheus/prometheus

Remove the duplicated words

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

<!-- Don't forget!

- If the PR adds or changes a behaviour or fixes a bug of an exported API it would need a unit/e2e test.

- Where possible use only exported APIs for tests to simplify the review and make it as close as possible to an actual library usage.

- No tests are needed for internal implementation changes.

- Performance improvements would need a benchmark test to prove it.

- All exposed objects should have a comment.

- All comments should start with a capital letter and end with a full stop.

-->

+3 -3

0 comment

1 changed file

pr created time in a month

create barnchlongkb/prometheus

branch : remove_redundance_words

created branch time in a month

PR opened theupdateframework/notary

Remove duplicated words

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

+5 -5

0 comment

4 changed files

pr created time in a month

create barnchlongkb/notary

branch : remove_duplicated_words

created branch time in a month

fork longkb/helm

The Kubernetes Package Manager

https://helm.sh

fork in a month

PR opened grpc/grpc

Remove duplicated words

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

<!--

Your pull request will be routed to the following person by default for triaging. If you know who should review your pull request, please remove the mentioning below.

-->

@veblush

+3 -3

0 comment

3 changed files

pr created time in a month

create barnchlongkb/grpc

branch : remove_duplicated_words

created branch time in a month

PR closed containernetworking/cni

Remove duplicated words

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

+2 -2

0 comment

2 changed files

longkb

pr closed time in a month

push eventlongkb/envoy

Elisha Ziskind

commit sha d63befed30383202bb28f6e7e86bb7cded1e7632

server: skip lifecycle notifications on early envoy shutdown (#7585) Skip lifecycle notifications which take a completion callback when envoy shuts down early before starting worker threads. This is needed because these registrations are typically implemented using Slot::runOnAllThreads which will not work correctly if worker threads have not been started. Risk Level: low Testing: unit tests Signed-off-by: Elisha Ziskind <eziskind@google.com>

view details

Keith Smiley

commit sha bcc66c6b74c365d1d2834cfe15b847ae13be0eb6

build: remove ranlib workaround (#7620) This has now been fixed upstream Signed-off-by: Keith Smiley <keithbsmiley@gmail.com>

view details

Yuchen Dai

commit sha 170c89eb0b2afb7a39d44d0f8dfb77444ffc038f

listener: keep ListenerFactoryContext small (#7528) Signed-off-by: Yuchen Dai <silentdai@gmail.com>

view details

Lizan Zhou

commit sha aa24d0892610f1b6cbfb91b1d03c9b26f3724dc7

ci: use local_memory_estimate (#7558) Signed-off-by: Lizan Zhou <lizan@tetrate.io>

view details

Derek Argueta

commit sha 9f6594148306a9a86a18b14ff1c35ab4d19a0282

clang-tidy: modernize-deprecated-headers (#7626) Description: Use headers such as `<cstring>` as opposed to `<string.h>`. These headers were marked deprecated in C++11/14 - https://clang.llvm.org/extra/clang-tidy/checks/modernize-deprecated-headers.html Risk Level: Low Testing: existing Docs Changes: N/A Release Notes: N/A Signed-off-by: Derek Argueta <dereka@pinterest.com>

view details

Piotr Sikora

commit sha e4e1e627882e085dce8c84ffb77a33daf4c558d1

release: un-deprecate "use_original_dst". (#7623) "use_original_dst" and "bind_to_port" are two complementary parts of the "virtual listeners" feature, and they should be deprecated together. However, they are both currently exempted (see: #5355), so revert the change from #7549. Signed-off-by: Piotr Sikora <piotrsikora@google.com>

view details

Lizan Zhou

commit sha 14c5371735e34ca3659b8332a19de24b5c776163

ci: enable clang based RBE in Azure pipelines (#7536) Description: Minimum configuration to enable RBE and run release pipeline in Azure pipelines. Risk Level: Low Testing: Docs Changes: N/A Release Notes: N/A Signed-off-by: Lizan Zhou <lizan@tetrate.io>

view details

Derek Argueta

commit sha 1278529f5fc1b01e1d33d5097fc40da5111062b6

clang-tidy: modernize-use-equals-default (#7638) Mass translation to = default; done using clang-tidy's -fix flag and enable as a clang-tidy error. https://clang.llvm.org/extra/clang-tidy/checks/modernize-use-equals-default.html Risk Level: low Testing: existing Signed-off-by: Derek Argueta <dereka@pinterest.com>

view details

Lizan Zhou

commit sha 50fb561c23078e01efd4dc3852812efbf5ca8936

ci: bring JVM heap limit back (#7639) Fixes some CI flakes in ASAN/TSAN caused by #7558. Signed-off-by: Lizan Zhou <lizan@tetrate.io>

view details

Rama Chavali

commit sha 50109476364f0859432e71e08222f341a58a696d

upstream: improve original dst logs (#7633) Currently when original dst validation occurs, it does not very clear what lb type_cluster type combination is causing that. This PR improves that log line. Risk Level: Low Testing: Added automated tests Docs Changes: N/A Release Notes: N/A Signed-off-by: Rama Chavali <rama.rao@salesforce.com>

view details

Yan Xue

commit sha c2967a82c9e55dd77bbbc932e4907b204b87cb45

listener filter: new listener filter for inspecting http protocol (#7559) Description: new listener filter for inspecting http protocol. - Http1x: check request line - Http2: check connection preface Pros: Performance; Cons: False positive possibility Risk Level: low Testing: unit test, manual test Docs Changes: Added Release Notes: Added #Issue: #7527 Signed-off-by: Yan Xue <yxyan@google.com>

view details

Lizan Zhou

commit sha 875960fecbb12b7586983d3a833eb8717087ad5f

bazelci: fix failures in ubuntu 18.04 (#7648) Signed-off-by: Lizan Zhou <lizan@tetrate.io>

view details

Lizan Zhou

commit sha b94a964ff8f1481e5d7f348a52b3c1349f1e50e4

ci: full IPv6 tests in Azure pipelines (#7640) Signed-off-by: Lizan Zhou <lizan@tetrate.io>

view details

Lizan Zhou

commit sha 8d2eb9d81411d25a1a3b3101ece780afcc18c521

coverage: shard coverage tests (#7635) Signed-off-by: Lizan Zhou <lizan@tetrate.io>

view details

Joshua Marantz

commit sha 6feb15c6c7203f19b8b507cd0fab76a5b0b9cb2a

test: Use an env-var rather than compile define to control exact memory comparisons. (#7642) * Use an env-var rather than compile define to control exact memory comparisons. Signed-off-by: Joshua Marantz <jmarantz@google.com>

view details

Raúl Gutiérrez Segalés

commit sha 6e6a7ccfeb57f79569feff2d7da128361fcacc33

server: more constness in server.cc (#7645) Risk LeveL :low Testing: existing Doc Changes: n/a Release Notes: n/a Signed-off-by: Raul Gutierrez Segales <rgs@pinterest.com>

view details

Joshua Marantz

commit sha 3b1a79f57d1ea2f774395803888d68dbcbb59275

Add type nicknames for the absl::optional types for various stats for their find*() functions. (#7654) Description: The types for the findCounter() and sibling methods are quite awkward to type and read. Moreover https://google.github.io/styleguide/cppguide.html#auto discourages use of 'auto' for temp variables to receive the return value. These new type names are in the spirit of CounterSharedPtr et al. Risk Level: low Testing: //test/... Docs Changes: n/a Release Notes: n/a Signed-off-by: Joshua Marantz <jmarantz@google.com>

view details

Derek Argueta

commit sha 99a34dc40a21499df84f80296e272b77506245ed

clang-tidy: modernize-use-override (#7658) Description: Adds `modernize-use-override` as an error and fixes existing issues (automatically applied using `-fix`). https://clang.llvm.org/extra/clang-tidy/checks/modernize-use-override.html Risk Level: Low Testing: Existing Docs Changes: N/A Release Notes: N/A Signed-off-by: Derek Argueta <dereka@pinterest.com>

view details

Raúl Gutiérrez Segalés

commit sha c3a7d7d05ad6c8f3f84545aa31d35d6fc7fac98f

http_inspector: const declarations (#7656) Risk Level: low Testing: existing Docs Changes: n/a Release Notes: n/a Signed-off-by: Raul Gutierrez Segales <rgs@pinterest.com>

view details

Rama Chavali

commit sha 7e7486588239f42b4be3a6383e3c0776d2d05bef

config: change default initial fetch timeout to 15s (#7571) Signed-off-by: Rama Chavali <rama.rao@salesforce.com>

view details

push time in a month

pull request commentenvoyproxy/envoy

Remove duplicated words

@longkb We should note there has been a history of small spelling change PRs being submitted one at a time in order to game Github statistics. If there are more than one PR, please batch into a larger PR for review.

@longkb We should note there has been a history of small spelling change PRs being submitted one at a time in order to game Github statistics. If there are more than one PR, please batch into a larger PR for review.

Yes, I see. I will check these duplicated words agains and update if necessary :) Thank you so much!

longkb

comment created time in a month

pull request commentenvoyproxy/envoy

Remove duplicated words

Needs master merge, thanks.

/wait

Oops, sorry. I have worked in older version of repo. I will update my PR with master code :) Thank you so much!

longkb

comment created time in a month

PR closed fluent/fluentd

Remove duplicated words

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

<!-- Thank you for contributing to Fluentd! Please provide the following information to help us make the most of your pull request: -->

Which issue(s) this PR fixes: Fixes #

What this PR does / why we need it:

Docs Changes:

Release Note:

+2 -2

0 comment

2 changed files

longkb

pr closed time in a month

PR opened fluent/fluentd

Remove duplicated words

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

<!-- Thank you for contributing to Fluentd! Please provide the following information to help us make the most of your pull request: -->

Which issue(s) this PR fixes: Fixes #

What this PR does / why we need it:

Docs Changes:

Release Note:

+2 -2

0 comment

2 changed files

pr created time in a month

create barnchlongkb/fluentd

branch : remove_duplicated_word

created branch time in a month

PR opened envoyproxy/envoy

Reviewers
Remove duplicated words

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

For an explanation of how to fill out the fields, please see the relevant section in PULL_REQUESTS.md

Description: Risk Level: Testing: Docs Changes: Release Notes: [Optional Fixes #Issue] [Optional Deprecated:]

+3 -3

0 comment

3 changed files

pr created time in a month

PR opened coredns/coredns

Reviewers
Remove duplicated words

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

<!-- Thank you for contributing to CoreDNS! Please provide the following information to help us make the most of your pull request: -->

1. Why is this pull request needed and what does it do?

2. Which issues (if any) are related?

3. Which documentation changes (if any) need to be made?

4. Does this introduce a backward incompatible change or deprecation?

+6 -6

0 comment

6 changed files

pr created time in a month

create barnchlongkb/envoy

branch : remove_duplicated_words

created branch time in a month

create barnchlongkb/coredns

branch : remove_duplicated_words

created branch time in a month

PR opened containernetworking/cni

Remove duplicated words

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

+2 -2

0 comment

2 changed files

pr created time in a month

create barnchlongkb/cni

branch : remove_duplicated_words

created branch time in a month

PR opened kubernetes/minikube

Remove duplicated words

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

<!-- 🎉 Thank you for contributing to minikube! 🎉 Here are some hints to get your PR merged faster:

  1. Your PR title will be included in the release notes, choose it carefully
  2. If the PR fixes an issue, add "fixes #<issue number>" to the description.
  3. If the PR is a user interface change, please include a "before" and "after" example.
  4. If the PR is a large design change, please include an enhancement proposal: https://github.com/kubernetes/minikube/tree/master/enhancements -->
+1 -1

0 comment

1 changed file

pr created time in a month

create barnchlongkb/minikube

branch : remove_duplicated_words

created branch time in a month

PR opened kubernetes/kubeadm

Remove duplicated words

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

+4 -4

0 comment

4 changed files

pr created time in a month

create barnchlongkb/kubeadm

branch : remote_duplicated_words

created branch time in a month

PR opened kubernetes/kops

Remove duplicated words

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

+2 -2

0 comment

2 changed files

pr created time in a month

create barnchlongkb/kops

branch : remove_duplicated_words

created branch time in a month

PR opened kubernetes-sigs/kind

Remove duplicated word 'as as' in comments

Although it is spelling mistakes, it might make an affects while reading.

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

+3 -3

0 comment

2 changed files

pr created time in a month

create barnchlongkb/kind

branch : remove_duplicated_words

created branch time in a month

fork longkb/kubeadm

Aggregator for issues filed against kubeadm

fork in a month

fork longkb/Dragonfly

Dragonfly is an intelligent P2P based image and file distribution system.

https://d7y.io

fork in a month

fork longkb/kubespray

Deploy a Production Ready Kubernetes Cluster

fork in a month

fork longkb/kind

Kubernetes IN Docker - local clusters for testing Kubernetes

https://kind.sigs.k8s.io/

fork in a month

fork longkb/kops

Kubernetes Operations (kops) - Production Grade K8s Installation, Upgrades, and Management

https://kops.sigs.k8s.io/

fork in a month

push eventlongkb/baremetal-operator

Zane Bitter

commit sha 8688ca2f25d926a7cf2fe49647de842f14ab84cc

Remove unused reconcilePhase type

view details

Zane Bitter

commit sha e82f261b09c457ead5843601cdfb8566dd69b66d

Define an actionResult interface This interface and the types that implement it will allow us to abstract away the details of how the controller responds to the request, in favour of more a semantically meaningful representation of the action result's effect on the state machine.

view details

Zane Bitter

commit sha 046ffd187a4d9f1b237cc93ae0ed9398db0d0432

Switch Registering to actionResult

view details

Zane Bitter

commit sha aceb9110dd89e3f343828cf37e28d4986f48bf24

Switch Inspecting to actionResult

view details

Zane Bitter

commit sha 840a5c2cc11f57bf73dff88d3354cb71e513f0af

Switch MatchProfile to actionResult actionMatchProfile is only called when the profile is empty, and it always sets the profile to something, so there's no need to handle the case where SetHardwareProfile returns false. Just in case though, clear any errors and return complete if the profile doesn't change, but don't publish another event.

view details

Zane Bitter

commit sha e56f77dc6c9cbcb3fbc20c6eab4cd6324b93783b

Switch Provisioning to actionResult

view details

Zane Bitter

commit sha c2377ca4f8feff8df812bc1408d5ee3aeafa25a8

Switch Deprovisioning to actionResult

view details

Zane Bitter

commit sha d128b5df4849d30b0c4031f14b739155a3ee9bc1

Convert manageHostPower() to actionResult

view details

Zane Bitter

commit sha 33fa0db8acd5114b815b53615d815aa23dfb5314

Convert SteadyState to actionResult

view details

Zane Bitter

commit sha 66f16eb32a882c2930dc1d05f76f1c8a75d0445e

Convert Ready to actionResult

view details

Zane Bitter

commit sha 35efa62a07808a195e1737ff96a22e19f571bca0

Use actionResult for Deleting

view details

Zane Bitter

commit sha 9869d1e87e0ad14fec0827604a394e57225faf45

Return actionResult from stateHandler methods

view details

Zane Bitter

commit sha 2940aa1f42a12bcb8d10e442fce3dce69927bbea

Return actionResult from ReconcileState() This enables us to simplify the logic in the top-level Reconcile() handler. We can now use the Dirty() method of the result to determine whether we need to write the status, rather than overloading the Requeue field. To determine whether the action failed, we can look for a result of type actionFailed instead of looking at the Host status (which doesn't tell us if the failure was pre-existing). Finally, the RequeueDespiteError field is no longer needed as we always return actionComplete (not actionFailed) when the provisioning state changes to something other than an error state.

view details

Zane Bitter

commit sha 832e166b7b78ee626af07458986dfafaf3b8f422

Document actionResult types

view details

Zane Bitter

commit sha 11c4b98a2b9f17e5ceca1d8c55ef66d1be5c1013

Clean up logging of Reconcile() result Since we separated the meanings of Dirty() and Result().Requeue in actionResult, we can simply look at the Requeue value to determine if reconciliation has failed (except in the case where deletion of the resource has been completed). There's no need to base this on the result type. Split this implementation into a separate function for clarity.

view details

Honza Pokorny

commit sha f73b55377d8921559488883be5c77cee9a78918f

Add ilo5-virtual-media bmc support

view details

Honza Pokorny

commit sha 12c1bf13de8f2961e3beeb7607d1c9d18f4bde55

Use a dash in redfish virtualmedia protocol

view details

Honza Pokorny

commit sha c0b682856eacca53a7c5edf52f09a01c67762b83

Change redfish Type() to return original url scheme

view details

metal3-io-bot

commit sha b1fec5321e67e2dfeaa73dcde86d77fae99836e0

Merge pull request #357 from honza/ilo5-vm Add ilo5-virtual-media bmc support

view details

Honza Pokorny

commit sha c8fdf0483ec30bd1fb9154ba8cc291e340d10f06

Add additional methods to AccessDetails interface

view details

push time in 2 months

PR opened metal3-io/ironic-image

Remove outdated instruction related to log files

Currently, log files is disabled by #46. This PR aims to remove this outdated infomation from README.md

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

+0 -2

0 comment

1 changed file

pr created time in 2 months

create barnchlongkb/ironic-image

branch : remove_outdated_info

created branch time in 2 months

Pull request review commentmetal3-io/baremetal-operator

Modify Makefile to install operator-sdk v0.12.0 if not installed

+#!/bin/sh++set -eux++# Required operator-sdk version+REQUIRED_OPERATOR_SDK_VERSION="v0.12.0"++if [ ! "$(command -v operator-sdk)" ]; then +    LOCAL_OPERATOR_SDK_VERSION=""+else +    LOCAL_OPERATOR_SDK_VERSION="$(operator-sdk version | head -n1 | cut -d" " -f3 | tr -d '",')"+fi++# If local operator-sdk version is not required version+# or operator-sdk is not installed, install operator-sdk v0.12.0+if [ "${LOCAL_OPERATOR_SDK_VERSION}" != "${REQUIRED_OPERATOR_SDK_VERSION}" ] || [ -z "${LOCAL_OPERATOR_SDK_VERSION}" ]; then+    mkdir -p ./bin

Should we create .bin folder here? With this command, the new folder will be added into git status command after that. How about $GOPATH/bin folder?

jan-est

comment created time in 2 months

pull request commentmetal3-io/baremetal-operator

Fix incorrect file name

This PR is overlap with #366 :)

vincent-pli

comment created time in 2 months

issue commentmetal3-io/baremetal-operator

Missing code-generator during run `make generate`

@longkb yes my patch is aim to work with master. Can you run PR #292 by installing code-generator like you proposed in you PR #361?

It still got an error. The results show that

  • My PR #361 only worked with operator-sdk v0.8.0
  • operator-sdk v0.12.0 stills got the error as show above [1]

Is there any problem with Version v1alpha1 of baremetalhost object?

[1] logs

$ make generate
operator-sdk generate k8s
INFO[0000] Running deepcopy code-generation for Custom Resource group versions: [metal3:[v1alpha1], ]
INFO[0001] Code-generation complete.
operator-sdk generate openapi
INFO[0000] Running OpenAPI code-generation for Custom Resource group versions: [metal3:[v1alpha1], ]
Error: error generating CRD for Group metal3 Version v1alpha1 Kind BareMetalHost
Usage:
  operator-sdk generate openapi [flags]

Flags:
  -h, --help   help for openapi

Global Flags:
      --verbose   Enable verbose logging

Makefile:41: recipe for target 'generate' failed
make: *** [generate] Error 1

longkb

comment created time in 2 months

create barnchlongkb/baremetal-operator

branch : update_crd_file_name

created branch time in 2 months

PullRequestEvent

issue commentmetal3-io/baremetal-operator

Missing code-generator during run `make generate`

What is your operator-sdk version? Version we need to run make generate successfully is: operator-sdk version: "v0.12.0"

I tried with v0.12.0, but it was not work

Sorry. I have tried again. Your patch #349 can work with master branch But when I run with my PR (#292), it reach an error with openapi for Custom Resource

$ make test
operator-sdk generate k8s
INFO[0000] Running deepcopy code-generation for Custom Resource group versions: [metal3:[v1alpha1], ]
INFO[0001] Code-generation complete.
operator-sdk generate openapi
INFO[0000] Running OpenAPI code-generation for Custom Resource group versions: [metal3:[v1alpha1], ]
Error: error generating CRD for Group metal3 Version v1alpha1 Kind BareMetalHost
Usage:
  operator-sdk generate openapi [flags]

Flags:
  -h, --help   help for openapi

Global Flags:
      --verbose   Enable verbose logging

Makefile:41: recipe for target 'generate' failed
make: *** [generate] Error 1

longkb

comment created time in 2 months

PR closed metal3-io/baremetal-operator

Adding code-generator for Kubernetes-style API approved ok-to-test size/XXL

This PR aims to add code-generator again in order to run make generate as reported in #360

Signed-off-by: Kim Bao Long longkb@vn.fujitsu.com

+2921941 -34

6 comments

11157 changed files

longkb

pr closed time in 2 months

pull request commentmetal3-io/baremetal-operator

Adding code-generator for Kubernetes-style API

@longkb, is it because of using a version of operator-sdk that is not up to date ? Please check #349

Thanks. It worked with operator-sdk v.0.12.0. I will close this PR :)

longkb

comment created time in 2 months

issue commentmetal3-io/baremetal-operator

Missing code-generator during run `make generate`

What is your operator-sdk version? Version we need to run make generate successfully is: operator-sdk version: "v0.12.0"

I tried with v0.12.0, but it was not work

longkb

comment created time in 2 months

pull request commentmetal3-io/baremetal-operator

Adding code-generator for Kubernetes-style API

/ok-to-test /approve

Thanks @zaneb :) It seems that we need /lgtm label for tide

longkb

comment created time in 2 months

push eventlongkb/baremetal-operator

Kim Bao Long

commit sha 7437c1561006960099dd978e2559d0bd56812323

Update unit tests for AccessDetails interface Signed-off-by: Kim Bao Long <longkb@vn.fujitsu.com>

view details

push time in 2 months

create barnchlongkb/baremetal-operator

branch : update_unit_tests_for_access_details

created branch time in 2 months

Pull request review commentmetal3-io/baremetal-operator

Configure RAID Interface for iRMC driver

 func (p *ironicProvisioner) ValidateManagementAccess(credentialsChanged bool) (r 		} 		p.publisher("Registered", "Registered new host") +		raidInterface := p.bmcAccess.RAIDInterface()+		if raidInterface != "" {

Thanks @zaneb . You're right. But it seems that these Interfaces already added by [1] So I would like to configure the RAID interface to irmc in this PR :)

[1] https://github.com/metal3-io/baremetal-operator/commit/c8fdf0483ec30bd1fb9154ba8cc291e340d10f06#diff-c3f8fb66d64901a306b6faf6f7019c9f

longkb

comment created time in 2 months

more